

/* ===============================
   HEADER DESKTOP
================================ */
.new-logobanner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 5px 0;
  gap:15px;
}

.new-banner img {
  border-radius: 7px;
}

.new-logo {
  flex-shrink: 0;
  width: 300px;
  padding: 0 10px;
}

nav.menu a {
  color: #fff;
  text-decoration: none;
}

.mainmenu__nav {
  padding-left: 10px;
}

.new-mainmenu {
  position: relative;
  width: 100%;
  top: 0;
  z-index: 99;
  margin: 10px 0 25px;
}

.header-spacer {
  margin-top: 0;
}

/* sticky */
.nempel-top {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 1200px;
  z-index: 9999;
  background: #fff;
}

/* ===============================
   TOGGLE (DEFAULT HIDDEN)
================================ */
.mobile-toggle {
  display: none;
  font-size: 26px;
  cursor: pointer;
  transition: transform 0.3s ease;
}





/* ===============================
   FOOTER
================================ */

.footer{
    background:#fff;
    color:#000000;
    font-size:14px;
    border-top:  solid 3px #ed1b24;
}

.footer-top{
    display:grid;
    grid-template-columns: 2fr 1fr 1fr 1fr 1fr;
    gap:20px;
    padding:20px 0;
}
.footer-logo{
    width:150px;
    margin-bottom:10px;
}

.footer-col h4{
    color:#1d1818;
    margin-bottom:15px;
}

.footer-col ul{
    list-style:none;
    padding:0;
}

.footer-col ul li{
    margin-bottom:8px;
}

.footer-col a{
    color:#8f8f8f;
    text-decoration:none;
}

.footer-col a:hover{
    color:#fff;
}

.footer-bottom{
    border-top:0.7px solid #e7e5e5;
    padding:15px 0;
    text-align:center;
    font-size:13px;
}

.sosmed {
    display: flex;
    gap: 12px;
    padding: 0;
    list-style: none;
}

.sosmed li a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 38px;
    height: 38px;
    background: #ed1b24;
    color: #fff;
    border-radius: 50%;
    font-size: 16px;
    transition: 0.3s;
}

.sosmed li a:hover {
    background: #000;
}

.footer-col a:hover  {
    color: #ed1b24;
}

.sharethis ul li.tw {
    background-color: #000000;
}

.sitemap-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.sitemap-grid a {
    padding: 12px;
    background: #f5f5f5;
    text-align: center;
    text-decoration: none;
    color: #333;
    border-radius: 6px;
    transition: 0.3s;
}

.sitemap-grid a:hover {
    background: #ed1b24;
    color: #fff;
}




.xheadline__main .xheadline__text {
    background: linear-gradient(to bottom, rgba(237,27,36,0) 0%, rgba(237,27,36,0.9) 100%);
}

.hlm-title-blueborder:before {
    background-color: #ed1b24;
}


.trending__list{
  list-style:none;
  padding:0;
  margin-bottom: 15px;
}

.trending__item{
  display:flex;
  gap:10px;
  padding:5px 0;
  border-bottom:1px solid #eee;
  min-height: 50px;
}

.rank{
  font-weight:bold;
  color:#ed1b24;
  min-width:30px;
}

.trending__item a{
  text-decoration:none;
  color:#222;
}

.trending__item a:hover{
  color:#ed1b24;
}


.sidebar {
    top: 200px;
}

.xheadline__main .xheadline__img img {
    object-position: initial;
}

.detail__wrap{
  display: grid;
  grid-template-columns: 3fr 160px;
  gap: 30px;
}

/* konten */
.detail__content{
  line-height: 1.7;
  font-size: 16px;
}

/* ads */
.detail__ads{
  position: relative;
}

.ads-vertical{
  position: sticky;
  top: 170px;
}

.ads-vertical img{
  width: 160x;
  height: 600px;
  object-fit: cover;
  border-radius: 6px;
}

.pages-info img {
    border-radius: 4px;
    width: 100%;
    vertical-align: bottom;
    margin: 5px;
}

.detail__wrap_full {
    display: grid;
    gap: 30px;
}


/* ===============================
   MOBILE
================================ */

/* tablet */
@media (max-width:992px){

  .nempel-top {
    position: fixed;       /* header ikut alur dokumen */
    width: 100%;            /* full width */
    transform: none;  
    left: 0;
    top: 0;  
    padding: 10px 15px;  /* hilangkan translate */
    z-index: 100;
  }

  .menu {
    display: none;              /* tetap block */
    position: fixed;             /* fixed biar menutupi layar */
    top: 70px;
    left: 0;
    width: 100%;                /* lebar menu dari samping */
    height: 80vh;
    background: #ed1b24;
    z-index: 100;

    /* animasi muncul dari kiri */
    transform: translateX(-100%); /* awalnya tersembunyi di kiri */
    transition: transform 0.5s ease; /* animasi slow motion */
  }

  /* saat toggle aktif */
  .menu.active {
     display: block;  
    transform: translateX(0); /* muncul ke posisi normal */
  }
.sidebar {
    top: 50px;
}

  /* ===== HEADER ===== */
  .new-banner {
    display: none !important; /* hilangkan banner */
  }

  .caribahasa {
    display: none !important; /* hilangkan banner */
  }

  .new-logobanner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    gap: 20px; /* beri jarak logo dan toggle */
  }

  .new-logo {
    width: auto;
    padding: 0;
  }

  .new-logo img {
    max-height: 50px;
  }

  /* tampilkan toggle */
  .mobile-toggle {
    display: block;
  }

  /* ===== MENU MOBILE ===== */
  .new-menuwrap {
    position: absolute;
    left: 0;
    width: 100%;
    background: #fff;
    z-index: 999;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
  }

  /* animasi transisi menu */
  .new-menuwrap ul {
    flex-direction: column;
    padding: 0;
    margin: 0;
    list-style: none;
    /* font-size: 20px; */
  }

  nav.menu li {
    width: 100%;
    border-bottom: 0.3px solid #b8b5b5;
  }

  nav.menu a {
    display: block;
    padding: 12px 15px;
    color: #333;
  }

  /* opsional: menu aktif terlihat */
  .new-menuwrap.show {
    display: block;
  }

  .mobile-toggle {
    display: block;
    width: 27px;
    height: 20px;
    position: relative;
    cursor: pointer;
    z-index: 1100;
    margin: 20px;
}

.mobile-toggle span {
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background: #333;
  border-radius: 2px;
  transition: all 0.4s ease;
}

  /* posisi awal tiga garis */
  .mobile-toggle span:nth-child(1) { top: 0; }
  .mobile-toggle span:nth-child(2) { top: 10px; }
  .mobile-toggle span:nth-child(3) { top: 20px; }

  /* saat toggle aktif jadi X */
  .mobile-toggle.active span:nth-child(1) {
    top: 10px;
    transform: rotate(45deg);
  }

  .mobile-toggle.active span:nth-child(2) {
    opacity: 0; /* hilangkan garis tengah */
  }

  .mobile-toggle.active span:nth-child(3) {
    top: 10px;
    transform: rotate(-45deg);
  }

  .footer-top{
      grid-template-columns: repeat(1,1fr);
  }


  .footer-col ul {
    list-style: none;
    padding: 0;
    justify-content: center;   
  }

  .detail__wrap {
    display: grid;
    grid-template-columns: 1fr 0;
    gap: 0;
}

  /* kolom pertama full */
  .footer-col:first-child{
      grid-column: 1 / -1;
  }

     .sitemap-grid {
        grid-template-columns: repeat(2, 1fr);
    }

}